/* capture.c (c) 2004 Petr Danecek
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __PROPERTIES_H__
#define __PROPERTIES_H__


typedef struct
{
      int code;
      char *string;
}
allowed_t;


extern allowed_t debug_vals[];
extern allowed_t vfout_vals[];
extern allowed_t vfalign_vals[];
extern allowed_t vftrans_vals[];
extern allowed_t vf_vals[];
extern allowed_t borders_vals[];
extern allowed_t zoom_vals[];
extern allowed_t flash_vals[];
extern allowed_t macro_vals[];
extern allowed_t aperture_vals[];
extern allowed_t shutter_vals[];
extern allowed_t tvav_vals[];
extern allowed_t focuspoint_vals[];
extern allowed_t focus_vals[];
extern allowed_t exposure_compensation_vals[];
extern allowed_t iso_speed_vals[];
extern allowed_t white_balance_vals[];
extern allowed_t photo_effect_vals[];
extern allowed_t light_metering_vals[];
extern allowed_t qual_vals[];
extern allowed_t size_vals[];
extern allowed_t d045_vals[];

int value_ok(allowed_t *prop, char *value);
int value1_ok(allowed_t *prop, char *value, int *len);
char *get_name_from_code(allowed_t *prop, int code);
allowed_t *get_allowed_values(char *arg);

#endif

